Instalação com Composer

A instalação do CakePHP 3 basicamente é feita usando-se o composer.
A instalação baixando o pacote não é mais suportada.

Pré-requisitos para instalar o CakePHP 3.4

Um servidor web, Apache, por exemplo

O mod_rewrite não é obrigatório mas desejável

PHP 5.6 ou superior (incluindo PHP 7.1)

Extensões:

- mbstring (somente se usando PHP 7)

- intl

Geralmente os aplicativos usam bancos de dados. O Cake suporta:

- MySQL 5.1.10 ou superior

- PostgreSQL

- MS SQL Server 2008 ou superior

- SQLite 3

 

Instalar composer

No php7
sudo apt-get install composer

php5
sudo su
curl -sS https://getcomposer.org/installer | php

Colocar no path do Linux
mv composer.phar /usr/local/bin/composer

Criar App
composer create-project --prefer-dist cakephp/app nome_ap

Criar um script para Facilitar a criação de App
sudo nano /usr/local/bin/comp

Conteúdo a linha abaixo:

composer create-project --prefer-dist cakephp/app $1

Tornando executável

sudo chmod +x /usr/local/bin/comp

Criando aplicativo

comp aplicativo1

 

Desabilitando o xdebug (como recomendado) no Linux: sudo php5dismod -s cli xdebug

A execução do composer com o xdebug habilitado torna-se muito lenta, por isso recomenda-se desabilitar o xdebug.

Desabilitar xdebug no php7:

sudo nano /etc/php/7.0/cli/conf.d/20-xdebug.ini

Apenas comente a linha

 

Adicionar comentário


Código de segurança
Atualizar

www.000webhost.com